#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 41. Other X-based Programs

- Prev

  Other X-based Programs

- Next

  feh-3.8

- Up
- Home

# Balsa-2.6.3

## Introduction to Balsa

The Balsa package contains a GNOME-2 based mail client.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://pawsa.fedorapeople.org/balsa/balsa-2.6.3.tar.xz

- Download MD5 sum: cf6b5183cc3eb240c3dd120167822c35

- Download size: 3.6 MB

- Estimated disk space required: 77 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Balsa Dependencies

#### Required

Aspell-0.60.8, enchant-2.3.2, GMime-3.2.7, GPGME-1.17.0, GTK+-3.24.31, and libnotify-0.7.9

#### Required (Runtime)

MTA (that provides a sendmail command)

#### Optional

Compface-1.5.2, Gcr-3.40.0, gtksourceview-3.24.11, libcanberra-0.30, libsecret-0.20.5, MIT Kerberos V5-1.19.2, OpenLDAP-2.6.1, Procmail-3.22, SQLite-3.37.2, WebKitGTK-2.34.6, html2text, osmo, rubrica, yelp-tools

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/balsa

## Installation of Balsa

Install Balsa by running the following commands:

    ./configure --prefix=/usr            \
                --sysconfdir=/etc        \
                --localstatedir=/var/lib \
                --without-html-widget    &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--without-html-widget`: This option disables building the HTML renderer. If you want the HTML renderer to be built, verify that you have WebKitGTK-2.34.6 installed, and then remove this option.

`--with-canberra`: Enable libcanberra support.

`--with-compface`: Enable compface support.

`--with-gcr`: Use libgcr for TLS support.

`--with-gss`: Enable GSSAPI support.

`--with-ldap`: Use this option to enable LDAP address book support if OpenLDAP is installed.

`--with-libsecret`: Enable strong password support and support for gnome-keyring to store passwords.

`--with-sqlite`: Use this option to enable SQLite address book support if SQLite is installed.

## Contents

Installed Programs: balsa and balsa-ab
Installed Libraries: None
Installed Directories: /etc/sounds/events, /usr/share/balsa, and /usr/share/sounds/balsa

### Short Descriptions

balsa | is a glib based mail client
balsa-ab | is the address-book application used by balsa

Last updated on

- Prev

  Other X-based Programs

- Next

  feh-3.8

- Up
- Home